Skip to main content
POST
/
v1
/
agents
Register a new agent
curl --request POST \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "scopes": [
    "<string>"
  ]
}
'
{
  "agentId": "<string>",
  "did": "<string>",
  "developerId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "scopes": [
    "<string>"
  ],
  "status": "active",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Body

application/json
name
string
required

Human-readable agent name

description
string
scopes
string[]

Scopes the agent may request

Response

Agent registered

agentId
string
did
string
developerId
string
name
string
description
string
scopes
string[]
status
enum<string>
Available options:
active,
suspended,
revoked
createdAt
string<date-time>
updatedAt
string<date-time>